Package org.codehaus.plexus.util.cli

# Interface CommandLineCallable

All Superinterfaces:
  `Callable<Integer>`

public interface CommandLineCallable extends Callable<Integer>
Callable wrapper that exposes the proper exception type to the client.

Author:
  Kristian Rosenvold

## Method Summary

Modifier and Type
Method
Description
`Integer`
`call()`

## Method Details

### call

Integer call() throws CommandLineException

Specified by:
  `call` in interface `Callable<Integer>`
Throws:
  `CommandLineException`